/*
 *   ScenarLang a domain specific language that attempts to make it even easier
 *   to write unit tests with mockito
 *    
 *   Copyright (C) 2012  X. Gillard 
 *   
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *   
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *   
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package xgi.ut.dsl.utl.filtering;

public class AndFilter<T> implements Filter<T> {
	private final Filter<T> a;
	private final Filter<T> b;
	public AndFilter(Filter<T> a, Filter<T> b){
		this.a = a;
		this.b = b;
	}
	@Override
	public boolean isCompliant(T obj) {
		return a.isCompliant(obj) && b.isCompliant(obj);
	}
	@Override
	public String toString(){
		return a.toString()+" and "+b.toString();
	}
}