/*
 *   ScenarLang a domain specific language that attempts to make it even easier
 *   to write unit tests with mockito
 *    
 *   Copyright (C) 2012  X. Gillard 
 *   
 *   This library is free software; you can redistribute it and/or
 *   modify it under the terms of the GNU Lesser General Public
 *   License as published by the Free Software Foundation; either
 *   version 2.1 of the License, or (at your option) any later version.
 *   
 *   This library is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *   Lesser General Public License for more details.
 *   
 *   You should have received a copy of the GNU Lesser General Public
 *   License along with this library; if not, write to the Free Software
 *   Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA
 */
package xgi.ut.dsl.utl.mock;

import static org.mockito.Mockito.when;
import static xgi.ut.dsl.utl.ReflectionUtil.*;

import java.lang.reflect.InvocationTargetException;
import java.lang.reflect.Method;
import java.util.List;

import xgi.ut.dsl.utl.matching.MetaMatcher;

public class ThrowException implements MockInvocation{
	private final Throwable result;
	
	public ThrowException(Throwable result) {
		this.result = result;
	}

	@Override
	public Object invoke(Object target, Method m, List<? extends MetaMatcher> params) throws InvocationTargetException, IllegalAccessException {
		when(m.invoke(target, matchArgs(boxMatchers(params, m.getParameterTypes())).toArray())).thenThrow(result);
		return null;
	}

}
